Hi, I'm very new, so please go easy and explain my errors

I'm trying to upgrade my routes.db file "as I am using the old router DSL which will be removed in Rails 3.1" (quoted from deprecation warning).

Now here's the problem I'm having:

Code Ruby:
Shovell::Application.routes.draw do |map|
  map.resources :stories, :has_many => :votes
  map.connect ':controller/:action/:id'
  map.connect ':controller/:action/:id.:format'
  get "stories/index"
end

--SPECIFICALLY with converting the line
Code Ruby:
map.connect ':controller/:action/:id.:format'

I read that it should be as simple as replacing map.connect to match and removing |map| from the .draw do?

However, when I do it seems to not work anymore as it should.. several of my routes (specifically the :has_many => :votes ones) are no longer present when I perform rake routes.

Please let me know if you need more details